<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__scps__descr__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_scps_descr_value_t</compoundname>
    <includes local="no">cy_ble_scps.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__scps__descr__value__t_1aa71a6693d6a4376a4ad78a2ce8cd128e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_scps_descr_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Peer Device Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" bodystart="95" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" line="95" />
      </memberdef>
      <memberdef id="structcy__stc__ble__scps__descr__value__t_1a551a4ab4de93bdab0ce3f97596b6a210" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___s_c_p_s__definitions_1ga68a5074a32bd9af7336e5ce28b42eef6">cy_en_ble_scps_char_index_t</ref></type>
        <definition>cy_en_ble_scps_char_index_t cy_stc_ble_scps_descr_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Index of Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" bodystart="96" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" line="96" />
      </memberdef>
      <memberdef id="structcy__stc__ble__scps__descr__value__t_1ab0986d83fb28a7de5798ae50bae1145d" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___s_c_p_s__definitions_1ga312e069f14195889f8d721a3d7ac838f">cy_en_ble_scps_descr_index_t</ref></type>
        <definition>cy_en_ble_scps_descr_index_t cy_stc_ble_scps_descr_value_t::descrIndex</definition>
        <argsstring />
        <name>descrIndex</name>
        <briefdescription>
<para>Index of Service Characteristic descriptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" bodystart="97" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" line="97" />
      </memberdef>
      <memberdef id="structcy__stc__ble__scps__descr__value__t_1a6ac75ff810e03938f08ec7c87578ff22" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_scps_descr_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Descriptor value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" bodystart="98" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" line="98" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Scan Parameters Service Characteristic descriptor Value parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="1187">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="1185">
        <label>cy_stc_ble_scps_descr_value_t</label>
        <link refid="structcy__stc__ble__scps__descr__value__t" />
        <childnode refid="1186" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="1187" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
      <node id="1186">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
    </collaborationgraph>
    <location bodyend="99" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" bodystart="93" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" line="94" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__scps__descr__value__t_1a551a4ab4de93bdab0ce3f97596b6a210" virt="non-virtual"><scope>cy_stc_ble_scps_descr_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__scps__descr__value__t_1aa71a6693d6a4376a4ad78a2ce8cd128e" virt="non-virtual"><scope>cy_stc_ble_scps_descr_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__scps__descr__value__t_1ab0986d83fb28a7de5798ae50bae1145d" virt="non-virtual"><scope>cy_stc_ble_scps_descr_value_t</scope><name>descrIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__scps__descr__value__t_1a6ac75ff810e03938f08ec7c87578ff22" virt="non-virtual"><scope>cy_stc_ble_scps_descr_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>